PDA

View Full Version : Gentoo: Emerge DVDRip Errors



Ash M
08-03-2005, 07:53 PM
Hey,

I'm getting the following error with avifile when I try to emerge dvdrip...

libtool: link: cannot find the library `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la'
make[2]: *** [libaviplay.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/lib'
make: *** [all-recursive] Error

!!! ERROR: media-video/avifile-0.7.41.20041001-r1 failed.
!!! Function src_compile, Line 139, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

I have heard it may have something to do with my gcc profile or something like that..

Any ideas Chill, Jen, Ilikelinux, etc??

Jen
08-03-2005, 08:23 PM
Hi Ash

This maybe related to updating your gcc. Have a look at Emerge fails after upgrading gcc. libstdc++.la missing (http://forums.gentoo.org/viewtopic.php?t=279020), and also have a read of this (http://forums.gentoo.org/viewtopic.php?t=278673) and this (http://forums.gentoo.org/viewtopic.php?t=27486&highlight=gcc) and see if the advice given there helps. :)

Chilling_Silence
08-03-2005, 10:57 PM
From the sounds of things you've not updated your gcc profile in /etc

You may or may not need to re-emerge libstdc++3, Im not sure.

Besides, I like dvdbackup anyways :D

You using gcc-3.4 or you gone all out and giving gcc-4 a whirl?
As of gcc-3.4, you can add -fweb as a CFLAG which offers some additional minor improvements. LDFLAGS also work well :)

Ash M
08-03-2005, 11:27 PM
From the sounds of things you've not updated your gcc profile in /etc

You may or may not need to re-emerge libstdc++3, Im not sure.

Besides, I like dvdbackup anyways :D

You using gcc-3.4 or you gone all out and giving gcc-4 a whirl?
As of gcc-3.4, you can add -fweb as a CFLAG which offers some additional minor improvements. LDFLAGS also work well :)\

3.4? No I just did an emerge --sync and then emerge gcc and its getting 3.3.5? oh well... might checkout dvdbackup as well

Chilling_Silence
08-03-2005, 11:58 PM
Check the Gentoo forums for a How-To, while you're upgrading you may as well go to 3.4 :D

Ash M
09-03-2005, 08:40 AM
Hi Ash

This maybe related to updating your gcc. Have a look at Emerge fails after upgrading gcc. libstdc++.la missing (http://forums.gentoo.org/viewtopic.php?t=279020), and also have a read of this (http://forums.gentoo.org/viewtopic.php?t=278673) and this (http://forums.gentoo.org/viewtopic.php?t=27486&highlight=gcc) and see if the advice given there helps. :)

Hmm,

I hadn't actually update it... Now I have, and have run the scripts shown by that link.....

Is there another good Linux XviD Encoder / DVD Ripper app you can reccomend?